Source: libgom
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: @GNOME_TEAM@
Build-Depends: debhelper (>= 10),
               gnome-pkg-tools,
               gnome-common,
               gobject-introspection,
               gtk-doc-tools,
               intltool,
               libgdk-pixbuf2.0-dev,
               libgettextpo-dev,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.36),
               libsqlite3-dev (>= 3.7),
               python-gi-dev,
               python3 (>= 3.4)
Standards-Version: 3.9.8
Section: libs
Homepage: https://wiki.gnome.org/Projects/Gom
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libgom.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libgom.git

Package: libgom-1.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libgom-1.0-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Object mapper from GObjects to SQLite
 Gom provides an object mapper from GObjects to SQLite.
 It helps you write applications that need to store structured data
 as well as make complex queries upon that data.
 .
 This package contains the shared library.

Package: libgom-1.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Suggests: libgom-1.0-doc (= ${binary:Version})
Depends: gir1.2-gom-1.0 (= ${binary:Version}),
         libglib2.0-dev,
         libgom-1.0-0 (= ${binary:Version}),
         ${misc:Depends}
Description: libgom development files
 Gom provides an object mapper from GObjects to SQLite.
 It helps you write applications that need to store structured data
 as well as make complex queries upon that data.
 .
 This package contains headers and libraries for developing
 applications that use libgom.

Package: libgom-1.0-common
Architecture: all
Multi-Arch: foreign
Depends: ${locale:Depends}, ${misc:Depends}
Description: libgom architecture-independent files
 Gom provides an object mapper from GObjects to SQLite.
 It helps you write applications that need to store structured data
 as well as make complex queries upon that data.
 .
 This package contains the architecture independent files
 like translation of messages.

Package: libgom-1.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: libgom API documentation
 Gom provides an object mapper from GObjects to SQLite.
 It helps you write applications that need to store structured data
 as well as make complex queries upon that data.
 .
 This package contains the HTML documentation for the API.

Package: gir1.2-gom-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection data for libgom
 Gom provides an object mapper from GObjects to SQLite.
 It helps you write applications that need to store structured data
 as well as make complex queries upon that data.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.
